Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List saved views

GET/workspaces/{organizationId}/saved-views
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Saved views list

viewsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
ownerIdstringrequired
namestringrequired
sharedbooleanrequired
isFavoriteboolean
filterany | null
searchstring | nullrequired
sortobject | nullrequired
Show properties
fieldstringrequired
min length 1
directionstring
Allowed:ascdesc
columnsstring[] | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/saved-views' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "views": [
    {
      "id": "string",
      "organizationId": "string",
      "ownerId": "string",
      "name": "string",
      "shared": true,
      "isFavorite": true,
      "filter": null,
      "search": "string",
      "sort": {
        "field": "string",
        "direction": "asc"
      },
      "columns": [
        "string"
      ],
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?